altcp.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/tcpbase.h"`
`#include "lwip/err.h"`
`#include "lwip/pbuf.h"`
`#include "lwip/ip_addr.h"`

## Data Structures

struct | altcp_allocator_s

## Typedefs

typedef struct altcp_allocator_s | altcp_allocator_t

## Functions

struct altcp_pcb * | altcp_new (altcp_allocator_t *allocator)
struct altcp_pcb * | altcp_new_ip6 (altcp_allocator_t *allocator)
struct altcp_pcb * | altcp_new_ip_type (altcp_allocator_t *allocator, u8_t ip_type)
void | altcp_arg (struct altcp_pcb *conn, void *arg)
void | altcp_accept (struct altcp_pcb *conn, altcp_accept_fn accept)
void | altcp_recv (struct altcp_pcb *conn, altcp_recv_fn recv)
void | altcp_sent (struct altcp_pcb *conn, altcp_sent_fn sent)
void | altcp_poll (struct altcp_pcb *conn, altcp_poll_fn poll, u8_t interval)
void | altcp_err (struct altcp_pcb *conn, altcp_err_fn err)
void | altcp_recved (struct altcp_pcb *conn, u16_t len)
err_t | altcp_bind (struct altcp_pcb *conn, const ip_addr_t *ipaddr, u16_t port)
err_t | altcp_connect (struct altcp_pcb *conn, const ip_addr_t *ipaddr, u16_t port, altcp_connected_fn connected)
struct altcp_pcb * | altcp_listen_with_backlog_and_err (struct altcp_pcb *conn, u8_t backlog, err_t *err)
void | altcp_abort (struct altcp_pcb *conn)
err_t | altcp_close (struct altcp_pcb *conn)
err_t | altcp_shutdown (struct altcp_pcb *conn, int shut_rx, int shut_tx)
err_t | altcp_write (struct altcp_pcb *conn, const void *dataptr, u16_t len, u8_t apiflags)
err_t | altcp_output (struct altcp_pcb *conn)
u16_t | altcp_mss (struct altcp_pcb *conn)
u16_t | altcp_sndbuf (struct altcp_pcb *conn)
u16_t | altcp_sndqueuelen (struct altcp_pcb *conn)
void | altcp_setprio (struct altcp_pcb *conn, u8_t prio)

## Detailed Description

Application layered TCP connection API (to be used from TCPIP thread)

This file contains the generic API. For more details see Application layered TCP Introduction.